## asyncpg 0.8.4

=== Makefile ===
.PHONY: compile debug test quicktest clean all


PYTHON ?= python


all: compile


clean:
	rm -fr dist/ doc/_build/
	rm -fr asyncpg/protocol/*.c asyncpg/protocol/*.html
	rm -fr asyncpg/protocol/*.so build *.egg-info
	rm -fr asyncpg/protocol/codecs/*.html
	find . -name '__pycache__' | xargs rm -rf


compile:
	$(PYTHON) setup.py build_ext --inplace --cython-always


debug:
	$(PYTHON) setup.py build_ext --inplace --debug \
		--cython-always \
		--cython-annotate \
		--cython-directives="linetrace=True" \
		--define ASYNCPG_DEBUG,CYTHON_TRACE,CYTHON_TRACE_NOGIL


test:
	PYTHONASYNCIODEBUG=1 $(PYTHON) -m unittest discover -s tests
	$(PYTHON) -m unittest discover -s tests
	USE_UVLOOP=1 $(PYTHON) -m unittest discover -s tests


quicktest:
	$(PYTHON) -m unittest discover -s tests


sdist: clean compile test
	$(PYTHON) setup.py sdist


release: clean compile test
	$(PYTHON) setup.py sdist upload


htmldocs: compile
	$(MAKE) -C docs html

=== debian/changelog ===
asyncpg (0.8.4-1) unstable; urgency=medium

  * New upstream release
    - add python3-pytest to Build-Depends

 -- Piotr Ożarowski <piotr@debian.org>  Tue, 10 Jan 2017 20:19:24 +0100

asyncpg (0.8.1-1) unstable; urgency=medium

  * New upstream release

 -- Piotr Ożarowski <piotr@debian.org>  Tue, 27 Dec 2016 23:31:44 +0100

asyncpg (0.7.0-1) unstable; urgency=medium

  * New upstream release

 -- Piotr Ożarowski <piotr@debian.org>  Tue, 29 Nov 2016 12:31:29 +0100

asyncpg (0.6.3-2) unstable; urgency=medium

  * Fix parsing pg_ctl output in some locales (closes: 843967, thanks to Chris
    Lamb for the patch)

 -- Piotr Ożarowski <piotr@debian.org>  Sun, 13 Nov 2016 16:38:01 +0100

asyncpg (0.6.3-1) unstable; urgency=low

  * Initial release (closes: 842345)

 -- Piotr Ożarowski <piotr@debian.org>  Sat, 05 Nov 2016 19:24:18 +0100

=== debian/control ===
Source: asyncpg
Section: python
Priority: optional
Maintainer: Piotr Ożarowski <piotr@debian.org>
Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Build-Depends: debhelper (>= 9), dh-python,
               cython3 (>= 0.24),
               python3-all-dev,
               python3-setuptools,
# tests:
               python3-pytest,
               postgresql,
               postgresql-contrib,
               libpq-dev
Standards-Version: 3.9.8
Homepage: https://magicstack.github.io/asyncpg
Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/asyncpg.git
Vcs-Browser: https://anonscm.debian.org/git/python-modules/packages/asyncpg.git
X-Python3-Version: >= 3.5

Package: python3-asyncpg
Architecture: any
Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends},
Recommends: ${python3:Recommends}
Suggests: ${python3:Suggests}
Description: asyncio PosgtreSQL driver
 Database interface library designed specifically for PostgreSQL and
 Python/asyncio.
 asyncpg is an efficient, clean implementation of PostgreSQL server binary
 protocol for use with Python's asyncio framework.
 It implements PostgreSQL server protocol natively and exposes its features
 directly.
 .
 Features:
  * prepared statements,
  * scrollable cursors,
  * partial iteration on query results,
  * automatic encoding and decoding of composite types, arrays, and any
    combination of those,
  * straightforward support for custom data types

=== debian/rules ===
#! /usr/bin/make -f

export PYBUILD_NAME=asyncpg
export PYBUILD_TEST_ARGS=-s {build_dir}/tests
export PYBUILD_BUILD_ARGS=build_ext --cython-always
%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_install:
	dh_auto_install
	find debian/python3-asyncpg/usr/lib \( -name '*.c' -or -name '*.h' -or -name '*.px[di]' -or -name '*.pyx' \) -delete

## asyncpg 0.12.0

=== Makefile ===
--- 
+++ 
@@ -28,21 +28,13 @@
 
 
 test:
-	PYTHONASYNCIODEBUG=1 $(PYTHON) -m unittest discover -s tests
-	$(PYTHON) -m unittest discover -s tests
-	USE_UVLOOP=1 $(PYTHON) -m unittest discover -s tests
+	PYTHONASYNCIODEBUG=1 $(PYTHON) setup.py test
+	$(PYTHON) setup.py test
+	USE_UVLOOP=1 $(PYTHON) setup.py test
 
 
 quicktest:
-	$(PYTHON) -m unittest discover -s tests
-
-
-sdist: clean compile test
-	$(PYTHON) setup.py sdist
-
-
-release: clean compile test
-	$(PYTHON) setup.py sdist upload
+	$(PYTHON) setup.py test
 
 
 htmldocs: compile

=== debian/changelog ===
asyncpg (0.12.0-1ubuntu3) artful; urgency=medium

  * No-change rebuild to drop _PyFPE support.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 05 Sep 2017 08:21:00 +0000

asyncpg (0.12.0-1ubuntu2) artful; urgency=medium

  * Fix armhf harder.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 17 Aug 2017 07:07:25 +0000

asyncpg (0.12.0-1ubuntu1) artful; urgency=medium

  * debian/patches/unaligned-access.patch: use alignment-safe unpacking
    of buffers.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 14 Aug 2017 20:36:56 +0000

asyncpg (0.12.0-1build1) artful; urgency=medium

  * No-change rebuild to build to drop python3.5.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 05 Aug 2017 16:43:01 +0000

asyncpg (0.12.0-1) unstable; urgency=medium

  * New upstream release

 -- Piotr Ożarowski <piotr@debian.org>  Mon, 10 Jul 2017 11:21:27 +0200

asyncpg (0.11.0-1) unstable; urgency=medium

  * New upstream release
  * Standards-Version bumped to 4.0.0 (no changes needed)

 -- Piotr Ożarowski <piotr@debian.org>  Tue, 20 Jun 2017 16:37:36 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: asyncpg
 Section: python
 Priority: optional
-Maintainer: Piotr Ożarowski <piotr@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Piotr Ożarowski <piotr@debian.org>
 Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Build-Depends: debhelper (>= 9), dh-python,
                cython3 (>= 0.24),
@@ -12,7 +13,7 @@
                postgresql,
                postgresql-contrib,
                libpq-dev
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
 Homepage: https://magicstack.github.io/asyncpg
 Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/asyncpg.git
 Vcs-Browser: https://anonscm.debian.org/git/python-modules/packages/asyncpg.git

## asyncpg 0.13.0

=== Makefile ===
--- 
+++ 
@@ -33,6 +33,11 @@
 	USE_UVLOOP=1 $(PYTHON) setup.py test
 
 
+testinstalled:
+	$(PYTHON) tests/__init__.py
+	USE_UVLOOP=1 $(PYTHON) tests/__init__.py
+
+
 quicktest:
 	$(PYTHON) setup.py test

=== debian/changelog ===
asyncpg (0.13.0-1ubuntu3) bionic; urgency=medium

  * d/p/0001-Fix-unaligned-access-issues-in-host-network-byte-I-O.patch:
    fix unaligned access by backporting change from 0.14 (Closes 872408 again).

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Tue, 06 Feb 2018 18:24:39 +0100

asyncpg (0.13.0-1ubuntu2) bionic; urgency=medium

  * Update (LP 1747589) to the upstream accepted fix.
    - d/p/0001-Parse-server-version-x.y-as-x.0.y-when-x-is-10.patch: backport
      upstream fix for short 10.x version parsing.
    - d/p/0001-Fix-server-version-parsing-when-it-contains-trailing.patch:
      update to match the former patch being included.

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Tue, 06 Feb 2018 12:56:06 +0100

asyncpg (0.13.0-1ubuntu1) bionic; urgency=medium

  * d/p/0001-Fix-server-version-parsing-when-it-contains-trailing.patch: Fix
    server version parsing when it contains trailing data (Closes: #882017)
    (LP: #1747589)

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Mon, 05 Feb 2018 17:42:19 +0100

asyncpg (0.13.0-1) unstable; urgency=medium

  * New upstream release
  * Add patch to fix alignment-safe unpacking of buffers (closes: 872408,
    thanks to Steve Langasek for the patch)
  * Standards-Version bumped to 4.1.1 (no changes needed)

 -- Piotr Ożarowski <piotr@debian.org>  Wed, 25 Oct 2017 10:21:52 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: asyncpg
 Section: python
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Piotr Ożarowski <piotr@debian.org>
+Maintainer: Piotr Ożarowski <piotr@debian.org>
 Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Build-Depends: debhelper (>= 9), dh-python,
                cython3 (>= 0.24),
@@ -13,7 +12,7 @@
                postgresql,
                postgresql-contrib,
                libpq-dev
-Standards-Version: 4.0.0
+Standards-Version: 4.1.1
 Homepage: https://magicstack.github.io/asyncpg
 Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/asyncpg.git
 Vcs-Browser: https://anonscm.debian.org/git/python-modules/packages/asyncpg.git

=== debian/rules ===
--- 
+++ 
@@ -3,6 +3,7 @@
 export PYBUILD_NAME=asyncpg
 export PYBUILD_TEST_ARGS=-s {build_dir}/tests
 export PYBUILD_BUILD_ARGS=build_ext --cython-always
+export PYBUILD_TEST_ARGS=-k-test_flake8
 %:
 	dh $@ --with python3 --buildsystem=pybuild

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/asyncpg/asyncpg-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## asyncpg 0.15.0

=== debian/changelog ===
asyncpg (0.15.0-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/copyright: Use https protocol in Format field

  [ Piotr Ożarowski ]
  * New upstream release
    - 0001 patch removed, fixed upstream
    - fixes FTBFS with postgresql-10 (closes: 882017)

 -- Piotr Ożarowski <piotr@debian.org>  Mon, 19 Mar 2018 09:39:30 +0100

=== debian/control ===
--- 
+++ 
@@ -12,10 +12,10 @@
                postgresql,
                postgresql-contrib,
                libpq-dev
-Standards-Version: 4.1.1
+Standards-Version: 4.1.3
 Homepage: https://magicstack.github.io/asyncpg
-Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/asyncpg.git
-Vcs-Browser: https://anonscm.debian.org/git/python-modules/packages/asyncpg.git
+Vcs-Git: https://salsa.debian.org/python-team/modules/asyncpg.git
+Vcs-Browser: https://salsa.debian.org/python-team/modules/asyncpg
 X-Python3-Version: >= 3.5
 
 Package: python3-asyncpg

## asyncpg 0.17.0

=== Makefile ===
--- 
+++ 
@@ -2,6 +2,7 @@
 
 
 PYTHON ?= python
+ROOT = $(dir $(realpath $(firstword $(MAKEFILE_LIST))))
 
 
 all: compile
@@ -20,11 +21,7 @@
 
 
 debug:
-	$(PYTHON) setup.py build_ext --inplace --debug \
-		--cython-always \
-		--cython-annotate \
-		--cython-directives="linetrace=True" \
-		--define ASYNCPG_DEBUG,CYTHON_TRACE,CYTHON_TRACE_NOGIL
+	ASYNCPG_DEBUG=1 $(PYTHON) setup.py build_ext --inplace
 
 
 test:
@@ -34,13 +31,14 @@
 
 
 testinstalled:
-	$(PYTHON) tests/__init__.py
-	USE_UVLOOP=1 $(PYTHON) tests/__init__.py
+	cd /tmp && $(PYTHON) $(ROOT)/tests/__init__.py
+	cd /tmp && USE_UVLOOP=1 $(PYTHON) $(ROOT)/tests/__init__.py
 
 
 quicktest:
 	$(PYTHON) setup.py test
 
 
-htmldocs: compile
+htmldocs:
+	$(PYTHON) setup.py build_ext --inplace
 	$(MAKE) -C docs html

=== debian/changelog ===
asyncpg (0.17.0-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Convert git repository from git-dpm to gbp layout

  [ Piotr Ożarowski ]
  * New upstream release
    - requires cython3 >= 0.28.4

 -- Piotr Ożarowski <piotr@debian.org>  Thu, 04 Oct 2018 21:25:23 +0200

## asyncpg 0.18.2

=== debian/changelog ===
asyncpg (0.18.2-1) unstable; urgency=medium

  * New upstream release
    - fixes large OID test on Python 3.7 (closes: 911876)

 -- Piotr Ożarowski <piotr@debian.org>  Fri, 07 Dec 2018 00:01:28 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Piotr Ożarowski <piotr@debian.org>
 Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Build-Depends: debhelper (>= 9), dh-python,
-               cython3 (>= 0.24),
+               cython3 (>= 0.28.4),
                python3-all-dev,
                python3-setuptools,
 # tests:

## asyncpg 0.18.3

=== Makefile ===
--- 
+++ 
@@ -10,6 +10,8 @@
 
 clean:
 	rm -fr dist/ doc/_build/
+	rm -fr asyncpg/pgproto/*.c asyncpg/pgproto/*.html
+	rm -fr asyncpg/pgproto/codecs/*.html
 	rm -fr asyncpg/protocol/*.c asyncpg/protocol/*.html
 	rm -fr asyncpg/protocol/*.so build *.egg-info
 	rm -fr asyncpg/protocol/codecs/*.html

=== debian/changelog ===
asyncpg (0.18.3-2) unstable; urgency=medium

  [ William Grzybowski ]
  * d/p/0002: add patch for FTBFS due to test timeouts. (Closes: #915970)

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.
  * Bump Standards-Version to 4.4.0.

 -- Piotr Ożarowski <piotr@debian.org>  Sat, 20 Jul 2019 02:02:02 +0200

asyncpg (0.18.3-1) unstable; urgency=medium

  * New upstream release
  * Standards-Version bumped to 4.3.0 (no changes needed)

 -- Piotr Ożarowski <piotr@debian.org>  Fri, 04 Jan 2019 20:12:20 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Piotr Ożarowski <piotr@debian.org>
 Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
-Build-Depends: debhelper (>= 9), dh-python,
+Build-Depends: debhelper-compat (= 9), dh-python,
                cython3 (>= 0.28.4),
                python3-all-dev,
                python3-setuptools,
@@ -12,7 +12,7 @@
                postgresql,
                postgresql-contrib,
                libpq-dev
-Standards-Version: 4.1.3
+Standards-Version: 4.4.0
 Homepage: https://magicstack.github.io/asyncpg
 Vcs-Git: https://salsa.debian.org/python-team/modules/asyncpg.git
 Vcs-Browser: https://salsa.debian.org/python-team/modules/asyncpg

## asyncpg 0.20.0

=== Makefile ===
--- 
+++ 
@@ -34,7 +34,6 @@
 
 testinstalled:
 	cd /tmp && $(PYTHON) $(ROOT)/tests/__init__.py
-	cd /tmp && USE_UVLOOP=1 $(PYTHON) $(ROOT)/tests/__init__.py
 
 
 quicktest:

=== debian/changelog ===
asyncpg (0.20.0-1build1) focal; urgency=medium

  * No-change rebuild to drop python3.7.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 18 Feb 2020 10:18:43 +0100

asyncpg (0.20.0-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Remove ancient X-Python3-Version field.
  * Bump Standards-Version to 4.4.1.

  [ Piotr Ożarowski ]
  * New upstream release
    - bump minimum required Cython version to 0.29.14
  * Mark build dependencies required for tests only with <!nocheck>

 -- Piotr Ożarowski <piotr@debian.org>  Tue, 03 Dec 2019 19:43:43 +0100

=== debian/control ===
--- 
+++ 
@@ -4,19 +4,17 @@
 Maintainer: Piotr Ożarowski <piotr@debian.org>
 Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Build-Depends: debhelper-compat (= 9), dh-python,
-               cython3 (>= 0.28.4),
+               cython3 (>= 0.29.14),
                python3-all-dev,
                python3-setuptools,
-# tests:
-               python3-pytest,
-               postgresql,
-               postgresql-contrib,
-               libpq-dev
-Standards-Version: 4.4.0
+               python3-pytest <!nocheck>,
+               postgresql <!nocheck>,
+               postgresql-contrib <!nocheck>,
+               libpq-dev <!nocheck>,
+Standards-Version: 4.4.1
 Homepage: https://magicstack.github.io/asyncpg
 Vcs-Git: https://salsa.debian.org/python-team/modules/asyncpg.git
 Vcs-Browser: https://salsa.debian.org/python-team/modules/asyncpg
-X-Python3-Version: >= 3.5
 
 Package: python3-asyncpg
 Architecture: any

## asyncpg 0.20.1

=== debian/changelog ===
asyncpg (0.20.1-1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports. Closes: #974010
  * Add patch 0001-relax-cython-dependency.patch: build with cython in buster
  * Add patch 0003-proper-static.patch: backport compilation patch from
    upstream.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sun, 07 Jun 2020 14:37:24 +0000

asyncpg (0.20.1-1) unstable; urgency=medium

  * New upstream release
  * Bump Standards-Version to 4.5.0

 -- Piotr Ożarowski <piotr@debian.org>  Mon, 16 Mar 2020 10:51:35 +0100

=== debian/control ===
--- 
+++ 
@@ -4,14 +4,14 @@
 Maintainer: Piotr Ożarowski <piotr@debian.org>
 Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Build-Depends: debhelper-compat (= 9), dh-python,
-               cython3 (>= 0.29.14),
+               cython3 (>= 0.29.2),
                python3-all-dev,
                python3-setuptools,
                python3-pytest <!nocheck>,
                postgresql <!nocheck>,
                postgresql-contrib <!nocheck>,
                libpq-dev <!nocheck>,
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Homepage: https://magicstack.github.io/asyncpg
 Vcs-Git: https://salsa.debian.org/python-team/modules/asyncpg.git
 Vcs-Browser: https://salsa.debian.org/python-team/modules/asyncpg

## asyncpg 0.21.0

=== debian/changelog ===
asyncpg (0.21.0-1) unstable; urgency=medium

  * New upstream release
    - builds with GCC 10 (closes: 957014)
  * Use debhelper-compat (=12)

 -- Piotr Ożarowski <piotr@debian.org>  Tue, 11 Aug 2020 14:51:38 +0200

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Priority: optional
 Maintainer: Piotr Ożarowski <piotr@debian.org>
 Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
-Build-Depends: debhelper-compat (= 9), dh-python,
-               cython3 (>= 0.29.2),
+Build-Depends: debhelper-compat (= 12), dh-python,
+               cython3 (>= 0.29.20),
                python3-all-dev,
                python3-setuptools,
                python3-pytest <!nocheck>,

## asyncpg 0.25.0

=== debian/changelog ===
asyncpg (0.25.0-1build1) jammy; urgency=medium

  * No-change rebuild with Python 3.10 only

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 16 Mar 2022 22:32:16 +0000

asyncpg (0.25.0-1) unstable; urgency=medium

  * New upstream release
    - builds with GCC 11 (closes: 997153)

 -- Piotr Ożarowski <piotr@debian.org>  Wed, 17 Nov 2021 12:59:39 +0100

asyncpg (0.24.0-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Sandro Tosi ]
  * Use the new Debian Python Team contact name and address

  [ Piotr Ożarowski ]
  * New upstream release

 -- Piotr Ożarowski <piotr@debian.org>  Sun, 29 Aug 2021 15:32:42 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: python
 Priority: optional
 Maintainer: Piotr Ożarowski <piotr@debian.org>
-Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Uploaders: Debian Python Team <team+python@tracker.debian.org>
 Build-Depends: debhelper-compat (= 12), dh-python,
                cython3 (>= 0.29.20),
                python3-all-dev,
@@ -13,8 +13,8 @@
                libpq-dev <!nocheck>,
 Standards-Version: 4.5.0
 Homepage: https://magicstack.github.io/asyncpg
-Vcs-Git: https://salsa.debian.org/python-team/modules/asyncpg.git
-Vcs-Browser: https://salsa.debian.org/python-team/modules/asyncpg
+Vcs-Git: https://salsa.debian.org/python-team/packages/asyncpg.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/asyncpg
 
 Package: python3-asyncpg
 Architecture: any

## asyncpg 0.26.0

=== debian/changelog ===
asyncpg (0.26.0-1) unstable; urgency=medium

  [ Ileana Dumitrescu ]
  * New upstream release.
  * Refresh existing patches.
  * d/control: Bump Standards-Version to 4.6.1 (no changes).
               Update dh-compat version to 13.
               Add Rules-Requires-Root line.
  * d/copyright: Update debian year to 2022.

 -- Piotr Ożarowski <piotr@debian.org>  Wed, 14 Sep 2022 20:12:37 +0200

asyncpg (0.25.0-2) unstable; urgency=medium

  * debian/rules
    - fix pytest -k syntax for pytest7; Closes: #1013699

 -- Sandro Tosi <morph@debian.org>  Sun, 26 Jun 2022 13:33:14 -0400

## asyncpg 0.27.0

=== Makefile ===
--- 
+++ 
@@ -12,6 +12,7 @@
 	rm -fr dist/ doc/_build/
 	rm -fr asyncpg/pgproto/*.c asyncpg/pgproto/*.html
 	rm -fr asyncpg/pgproto/codecs/*.html
+	rm -fr asyncpg/pgproto/*.so
 	rm -fr asyncpg/protocol/*.c asyncpg/protocol/*.html
 	rm -fr asyncpg/protocol/*.so build *.egg-info
 	rm -fr asyncpg/protocol/codecs/*.html
@@ -33,7 +34,7 @@
 
 
 testinstalled:
-	cd /tmp && $(PYTHON) $(ROOT)/tests/__init__.py
+	cd "$${HOME}" && $(PYTHON) $(ROOT)/tests/__init__.py
 
 
 quicktest:

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = python -m sphinx
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help
help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  applehelp  to make an Apple Help Book"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  epub3      to make an epub3"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"
	@echo "  coverage   to run coverage check of the documentation (if enabled)"
	@echo "  dummy      to check syntax errors of document sources"

.PHONY: clean
clean:
	rm -rf $(BUILDDIR)/*

.PHONY: html
html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

.PHONY: dirhtml
dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

.PHONY: singlehtml
singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

.PHONY: pickle
pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

.PHONY: json
json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

.PHONY: htmlhelp
htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

.PHONY: qthelp
qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/asyncpg.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/asyncpg.qhc"

.PHONY: applehelp
applehelp:
	$(SPHINXBUILD) -b applehelp $(ALLSPHINXOPTS) $(BUILDDIR)/applehelp
	@echo
	@echo "Build finished. The help book is in $(BUILDDIR)/applehelp."
	@echo "N.B. You won't be able to view it unless you put it in" \
	      "~/Library/Documentation/Help or install it in your application" \
	      "bundle."

.PHONY: devhelp
devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/asyncpg"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/asyncpg"
	@echo "# devhelp"

.PHONY: epub
epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

.PHONY: epub3
epub3:
	$(SPHINXBUILD) -b epub3 $(ALLSPHINXOPTS) $(BUILDDIR)/epub3
	@echo
	@echo "Build finished. The epub3 file is in $(BUILDDIR)/epub3."

.PHONY: latex
latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

.PHONY: latexpdf
latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

.PHONY: latexpdfja
latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

.PHONY: text
text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

.PHONY: man
man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

.PHONY: texinfo
texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

.PHONY: info
info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

.PHONY: gettext
gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

.PHONY: changes
changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

.PHONY: linkcheck
linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

.PHONY: doctest
doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

.PHONY: coverage
coverage:
	$(SPHINXBUILD) -b coverage $(ALLSPHINXOPTS) $(BUILDDIR)/coverage
	@echo "Testing of coverage in the sources finished, look at the " \
	      "results in $(BUILDDIR)/coverage/python.txt."

.PHONY: xml
xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

.PHONY: pseudoxml
pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

.PHONY: dummy
dummy:
	$(SPHINXBUILD) -b dummy $(ALLSPHINXOPTS) $(BUILDDIR)/dummy
	@echo
	@echo "Build finished. Dummy builder generates no files."

=== debian/changelog ===
asyncpg (0.27.0-1) unstable; urgency=medium

  * New upstream release
    + no longer FTBFS due to failing test (closes: 1022473)

 -- Piotr Ożarowski <piotr@debian.org>  Sun, 30 Oct 2022 22:02:26 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Piotr Ożarowski <piotr@debian.org>
 Uploaders: Debian Python Team <team+python@tracker.debian.org>
-Build-Depends: debhelper-compat (= 12), dh-python,
+Build-Depends: debhelper-compat (= 13), dh-python,
                cython3 (>= 0.29.20),
                python3-all-dev,
                python3-setuptools,
@@ -11,7 +11,8 @@
                postgresql <!nocheck>,
                postgresql-contrib <!nocheck>,
                libpq-dev <!nocheck>,
-Standards-Version: 4.5.0
+Standards-Version: 4.6.1
+Rules-Requires-Root: no
 Homepage: https://magicstack.github.io/asyncpg
 Vcs-Git: https://salsa.debian.org/python-team/packages/asyncpg.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/asyncpg

=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,7 @@
 export PYBUILD_NAME=asyncpg
 export PYBUILD_TEST_ARGS=-s {build_dir}/tests
 export PYBUILD_BUILD_ARGS=build_ext --cython-always
-export PYBUILD_TEST_ARGS=-k-test_flake8
+export PYBUILD_TEST_ARGS=-k "not test_flake8"
 %:
 	dh $@ --with python3 --buildsystem=pybuild

## asyncpg 0.29.0

=== Makefile ===
--- 
+++ 
@@ -20,17 +20,16 @@
 
 
 compile:
-	$(PYTHON) setup.py build_ext --inplace --cython-always
+	env ASYNCPG_BUILD_CYTHON_ALWAYS=1 $(PYTHON) -m pip install -e .
 
 
 debug:
-	ASYNCPG_DEBUG=1 $(PYTHON) setup.py build_ext --inplace
-
+	env ASYNCPG_DEBUG=1 $(PYTHON) -m pip install -e .
 
 test:
-	PYTHONASYNCIODEBUG=1 $(PYTHON) setup.py test
-	$(PYTHON) setup.py test
-	USE_UVLOOP=1 $(PYTHON) setup.py test
+	PYTHONASYNCIODEBUG=1 $(PYTHON) -m unittest -v tests.suite
+	$(PYTHON) -m unittest -v tests.suite
+	USE_UVLOOP=1 $(PYTHON) -m unittest -v tests.suite
 
 
 testinstalled:
@@ -38,9 +37,9 @@
 
 
 quicktest:
-	$(PYTHON) setup.py test
+	$(PYTHON) -m unittest -v tests.suite
 
 
 htmldocs:
-	$(PYTHON) setup.py build_ext --inplace
+	$(PYTHON) -m pip install -e .[docs]
 	$(MAKE) -C docs html

=== debian/changelog ===
asyncpg (0.29.0-1build1) noble; urgency=medium

  * No-change rebuild with Python 3.12 only

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 10 Apr 2024 11:45:48 +0000

asyncpg (0.29.0-1) unstable; urgency=medium

  * New upstream release

 -- Piotr Ożarowski <piotr@debian.org>  Sat, 27 Jan 2024 10:15:20 +0100

asyncpg (0.28.0-1) unstable; urgency=medium

  * New upstream release

 -- Piotr Ożarowski <piotr@debian.org>  Mon, 10 Jul 2023 14:59:09 +0200

=== debian/control ===
--- 
+++ 
@@ -11,6 +11,7 @@
                postgresql <!nocheck>,
                postgresql-contrib <!nocheck>,
                libpq-dev <!nocheck>,
+               python3-uvloop <!nocheck>,
 Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Homepage: https://magicstack.github.io/asyncpg

## asyncpg 0.30.0

=== debian/changelog ===
asyncpg (0.30.0-1.1build1) resolute; urgency=medium

  * No-change rebuild with Python 3.14 as supported version

 -- Graham Inggs <ginggs@ubuntu.com>  Fri, 31 Oct 2025 14:51:24 +0000

asyncpg (0.30.0-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Temporarily skip test_connect due to test data needing an update for
    Python 3.13.2 (Closes: #1096256).

 -- Simon Quigley <tsimonq2@debian.org>  Thu, 27 Feb 2025 13:44:30 -0600

asyncpg (0.30.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release:
    - Fix build with Python 3.13 (closes: #1081995).
    - Notice also the MERGE command (closes: #1084240).

 -- Colin Watson <cjwatson@debian.org>  Wed, 30 Oct 2024 00:19:05 +0000

=== debian/watch ===
version=4
opts=\
dversionmangle=s/\+dfsg//,\
uversionmangle=s/(beta|rc|a|b|c)/~$1/,\
repacksuffix=+dfsg \
https://pypi.debian.net/asyncpg/asyncpg-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
